aboutsummaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorDenys Vlasenko <vda.linux@googlemail.com>2012-04-20 14:48:00 +0200
committerDenys Vlasenko <vda.linux@googlemail.com>2012-04-20 14:48:00 +0200
commit8cab66730aa59c121eb98b20f4ae7ddda1c3ecf6 (patch)
treec85481105e66d3d7f2b0bf712028fb5f02138215 /scripts
parentb110e1fecb4398524e857d772c5cc635615b0ac4 (diff)
downloadbusybox-8cab66730aa59c121eb98b20f4ae7ddda1c3ecf6.tar.gz
fix build breakage found by randconfig
Signed-off-by: Denys Vlasenko <vda.linux@googlemail.com>
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/randomtest.loop12
1 files changed, 9 insertions, 3 deletions
diff --git a/scripts/randomtest.loop b/scripts/randomtest.loop
index 2c8a9bd35..758a8e862 100755
--- a/scripts/randomtest.loop
+++ b/scripts/randomtest.loop
@@ -1,5 +1,7 @@
#!/bin/sh
+run_testsuite=true
+
test -d "$1" || { echo "'$1' is not a directory"; exit 1; }
test -x "$1/scripts/randomtest" || { echo "No scripts/randomtest in '$1'"; exit 1; }
@@ -21,7 +23,9 @@ while sleep 1; do
echo "Failed build in: failed.$dir"
exit 1 # you may comment this out...
let fail++
- else
+ continue
+ fi
+ if $run_testsuite; then
(
cd -- "$dir/testsuite" || exit 1
echo "Running testsuite in $dir..."
@@ -29,10 +33,12 @@ while sleep 1; do
)
if test $? != 0; then
echo "Failed runtest in $dir"
- exit 1
+ exit 1 # you may comment this out...
+ let fail++
+ continue
fi
tail -n10 -- "$dir/testsuite/runtest.log"
- rm -rf -- "$dir"
fi
+ rm -rf -- "$dir"
let cnt++
done